import torch
import torch.nn as nn

BATCH_SIZE = 4096
DIM = 4096
SHAPE = (BATCH_SIZE, DIM)

class ConjPhysicalModel(nn.Module):
    def __init__(self):
        super(ConjPhysicalModel, self).__init__()

    def forward(self, x: torch.Tensor) -> torch.Tensor:
        return torch.conj_physical(x)

class Model(nn.Module):
    def __init__(self):
        super(Model, self).__init__()
        self.act = ConjPhysicalModel()
    
    def forward(self, x: torch.Tensor) -> torch.Tensor:
        return self.act(x)

def get_inputs():
    x = torch.randn(SHAPE, dtype=torch.complex64)
    return [x.contiguous()]

def get_init_inputs():
    return []